/* Reset básico */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  
}

body {
  font-family: "Poppins", sans-serif;
  line-height: 1.6;
  background: #156f9c;
  color: #333;

}

/* Hero 

.hero {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50vh;
  background: linear-gradient(rgba(0,0,0,0.6), rgba(0,0,0,0.6));
              
  color: #fff;
  text-align:center;
  padding: 0 15px;
}

.hero-content h1 {
  font-size: 2.5rem;
  
}

.hero-content h1 span {
  color: #f7f8f8;
}

.hero-content p {
  margin: 15px 0;
  font-size: 1.2rem;
  opacity: 0.9;
}

.btn {
  display: inline-block;
  background: #00c3ff;
  color: #fff;
  padding: 9px 24px;
  border-bottom-style: inset;
  border-radius: 20px;
  text-decoration: none;
  font-weight: bold;
  transition: 0.3s ease;
}

.btn:hover {
  background: #0098c7;
  transform: scale(1.15);
}

*/

/* Hero con foto a la izquierda */
.hero {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(1, 8, 41, 0.6)),
              url("/concepto-de-collage-html-y-css.jpg") center/cover no-repeat;
  color: #fff;
  text-align:right; /* alineación a la izquierda */
  padding: 0 200px;
  border-radius:8px;
  border-style:groove ;
    box-shadow: 0 25px 20px rgba(0,0,0,3.20);
  border-radius: 200px 0px;

}

.hero-content {
  display:flex;
  align-items: center;
  gap: 40px;
  max-width: 1000px;
  width: 100%;
}

/* Imagen de perfil */
.hero-image img {
  width: 220px;
  height: 220px;
  border-radius: 50%;
  object-fit: cover;
  border: 4px solid #00c3ff;
  box-shadow: 0 4px 15px rgba(0,0,0,0.5);
  transition: 0.3s;
}

.hero-image img:hover {
  transform: scale(1.05);
}

/* Texto */
.hero-text h1 {
  font-size: 2.5rem;
}

.hero-text h1 span {
  color: #00c3ff;
  
}

.hero-text p {
  margin: 15px 0;
  font-size: 1.2rem;
  opacity: 0.9;
}

.hero-text .btn {
  display: inline-block;
  background: #00c3ff;
  color: #fff;
  padding: 12px 24px;
  border-radius: 30px;
  text-decoration: none;
  font-weight: bold;
  transition: 0.3s ease;
}

.hero-text .btn:hover {
  background: #0098c7;
  transform: scale(1.05);
}

/* Responsive */
@media (max-width: 768px) {
  .hero-content {
    flex-direction: column;
    text-align: center;
  }

  .hero-image img {
    width: 180px;
    height: 180px;
  }

  .hero-text h1 {
    font-size: 2rem;
  }

  .hero-text p {
    font-size: 1rem;
  }
}



/* Responsive cabezera */
@media (max-width: 768px) {
  .hero-content h1 {
    font-size: 2rem;
  }
  .hero-content p {
    font-size: 1rem;
  }
}

/* Sección Sobre mí */
.about {
  background: #fff;
  padding: 80px 20px;
  text-align: center;
}

.about h2 {
  font-size: 2rem;
  color: #00c3ff;
  margin-bottom: 20px;
}

.about-text {
  max-width: 800px;
  margin: 0 auto 40px auto;
  font-size: 1.1rem;
  color: #555;
  line-height: 1.8;
}

.skills-section {
  padding: 60px 20px;
  background:#24b6d7;
  text-align: center;
  border-radius: 10px;
  border-style: inset;
  border-radius: 900px 0px;
  box-shadow: 0 25px 20px rgba(0,0,0,3.20);

}

.skills-section h2 {
  font-size: 2rem;
  margin-bottom: 30px;
  color: #242323;
}

.skills {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
}

.skill {
  background: #2b7890;
  color: #fff;
  padding: 15px 25px;
  border-radius: 30px;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.3s ease;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.785);
}

.skill:hover {
  background: #4abfe3;
  transform: translateY(-5px) scale(1.05);
}


/*
.skills {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 15px;
}

.skill {
  background: #00c3ff;
  color: #fff;
  padding: 12px 20px;
  border-radius: 25px;
  font-size: 1rem;
  transition: 0.3s;
}

.skill:hover {
  background: #0098c7;
  transform: scale(1.05);
}*/

 /*Responsive sobre mi*/

@media (max-width: 768px) {
  .about h2 {
    font-size: 1.5rem;
  }
  .about-text {
    font-size: 1rem;
  }
  .skill {
    font-size: 0.9rem;
    padding: 10px 16px;
  }
}


/* Sección Portafolio */


.portfolio {
  background: #e9e9e9;
  padding: 80px 20px;
  text-align: center;
  box-shadow: 0 25px 20px rgba(0,0,0,3.40);
  border-radius: 0px 15px;
}

.portfolio h2 {
  font-size: 2rem;
  color: #414edd;
  margin-bottom: 10px;
}

.portfolio-text {
  max-width: 700px;
  margin: 0 auto 40px auto;
  font-size: 1.1rem;
  color: #555;
}

/* Grid de proyectos */
.projects {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
}

.project-card {
  background: #f4f2f2;
  border-radius: 15px;
  overflow: hidden;
  box-shadow: 0 4px 30px rgba(0,0,0,0.5);
  transition: 0.3s;
}

.project-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 6px 15px rgba(0,0,0,0.15);
}

.project-card img {
width: 100%;
object-fit: cover;
box-shadow: 0 6px 15px rgba(0,0,0,0.40);
}

.img{

width: 40%;
height: 30px;
border-radius: 15px;
}


.project-info {
  padding: 20px;
}

.project-info h3 {
  font-size: 1.3rem;
  margin-bottom: 10px;
  color: #333;
}

.project-info p {
  font-size: 1rem;
  color: #212121;
  margin-bottom: 25px;
}

.project-info .btn {
  font-size: 0.9rem;
  text-decoration: none;
  text-align:center;
  padding: 15 px;
  border-radius: 7px;
  background-color: #00c3ff;
  
  
}

/* Sección Contacto */
.contact {
  background: #24b6d7;
  padding: 80px 20px;
  text-align: center;
  box-shadow: 0 25px 20px rgba(0,0,0,3.40);
  border-radius: 0px 520px;
}

.contact h2 {
  font-size: 2rem;
  color: #252626;
  margin-bottom: 10px;
}

.contact-text {
  max-width: 700px;
  margin: 0 auto 40px auto;
  font-size: 1.1rem;
  color: #555;
}

.contact-form {
  max-width: 600px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.contact-form input,
.contact-form textarea {
  padding: 15px;
  border: 1px solid #ccc;
  border-radius: 10px;
  font-size: 1rem;
  outline: none;
  transition: border 0.3s;
}

.contact-form input:focus,
.contact-form textarea:focus {
  border: 1px solid #16677f;
}

.contact-form button {
  align-self: center;
  background: #2348c2;
  color: #fff;
  padding: 12px 25px;
  border: none;
  border-radius: 30px;
  font-size: 1rem;
  cursor: pointer;
  font-weight: bold;
  transition: all 0.3s ease;
}

/* Footer */
.footer {
  background: linear-gradient(135deg, #04c3fd, #0098c7);
  color: #0d0d0d;
  text-align:center;
  padding: 50px 20px 30px 20px;
  position: relative;
  overflow: hidden;
 border-radius: 110px 10px 0px;
 box-shadow: 0 25px 20px rgba(0,0,0,3.40);

}


.footer h2 {
  font-size: 1.8rem;
  margin-bottom: 10px;
}

.footer p {
  font-size: 1rem;
  opacity: 0.9;
}

.social-links {
  margin: 25px 0;
  display: flex;
  justify-content: center;
  gap: 20px;
}

.social-links a {
  color: #fff;
  font-size: 1.8rem;
  transition: 0.3s;
}

.social-links a:hover {
  transform: scale(1.2) rotate(10deg);
  color: #ffeb3b;
}

.copy {
  margin-top: 20px;
  font-size: 0.9rem;
  opacity: 0.8;
}

/* Partículas animadas en el footer */


.footer .particle {
  position: absolute;
  bottom: 0;
  width: 8px;
  height: 8px;
  background: rgba(228, 227, 227, 0.6);
  border-radius: 50%;
  animation: floatUp linear infinite;
}

@keyframes floatUp {
  0% { transform: translateY(0); opacity: 1; }
  100% { transform: translateY(-120px); opacity: 0; }
}
